#include <iostream>

using namespace std;

int brojCifara (int n)
{
    int br = 0;
    while (n > 0)
    {
        br++;
        n/=10;
    }
    return br;
}
int main()
{
    int a,b;
    scanf("%d",&a);
    scanf("%d",&b);
    int i = 0;
    int n[brojCifara(a)];
    int m[brojCifara(b)];
    int x = a;
    int y = b;
    int j = 0;
    for (i = brojCifara(a) - 1; i >= 0; i--)
    {
        n[i] = x % 10;
        x /= 10;
    }
    for (i = brojCifara(b) - 1; i >= 0; i--)
    {
        m[i] = y % 10;
        y /= 10;
    }
    if (brojCifara(a) > brojCifara(b))
    {
        for (i = 0; i < brojCifara(a) - brojCifara(b); i++)
        {
            printf("%d",n[i]);
        }

        for (j = 0; j < brojCifara(b); j++)
        {
            if (n[j + i] > m[j]) printf("%d",n[j + i]);
            else if (n[j + i] < m[j]) printf("%d",m[j]);
            else printf("%d%d",n[j + i], m[j]);
        }
    }
    else
    {
        for (i = 0; i < brojCifara(b) - brojCifara(a); i++)
        {
            printf("%d", m[i]);
        }
        for (j = 0; j < brojCifara(a); j++)
        {
            if (m[j + i] > n[j]) printf("%d",m[j + i]);
            else if (m[j + i] < n[j]) printf("%d",n[j]);
            else printf("%d%d", m[j + i], n[j]);
        }
    }
    return 0;
}